Bug 864098 - `aeolus-services restart` does not restart conductor-delayed_job
`aeolus-services restart` does not restart conductor-delayed_job
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: beta4
: ---
Assigned To: Steve Linabery
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 11:04 EDT by Aaron Weitekamp
Modified: 2012-12-04 10:07 EST (History)
7 users (show)

See Also:
Fixed In Version: aeolus-configure-2.8.9-1.el6cf
Doc Type: Bug Fix
Doc Text:
`aeolus-services restart` did not restart conductor-delayed_job and as a result 'conductor-delayed_job' remained inactive. This update makes a minor script change and now conductor-delayed_job restarts successfully.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 10:07:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Weitekamp 2012-10-08 11:04:05 EDT
Description of problem:
Add `service conductor-delayed_job restart` to `aeolus-services restart`

Version-Release number of selected component (if applicable):
1.1
[root@qeblade40 aeolus-conductor]# rpm -qa |grep aeolus
aeolus-conductor-daemons-0.13.16-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-doc-0.13.16-1.el6cf.noarch
aeolus-conductor-0.13.16-1.el6cf.noarch
rubygem-aeolus-cli-0.7.3-1.el6cf.noarch
aeolus-all-0.13.16-1.el6cf.noarch
aeolus-configure-2.8.8-1.el6cf.noarch


How reproducible:


Steps to Reproduce:
1. stop conductor-delayed_job `service conductor-delayed_job stop`
2. restart services `aeolus-services restart`
3. check status `aeolus-check-services`
  
Actual results:
conductor-delayed_job remains stopped

Expected results:
conductor-delayed_job should be started. `aeolus-services restart` should duplicate behavior of `aeolus-restart-services`


Additional info:
Recommend removing `aeolus-restart-services` and retain pattern `aeolus-services {start|stop|restart|status}`
Comment 4 Steve Linabery 2012-10-09 15:22:56 EDT
6230488da2252aac9bc3e1a68881a382ab97b842 on 1.1
Comment 5 Shveta 2012-10-10 16:44:48 EDT
[root@vmware-esx-01-g1 ~]# service conductor-delayed_job stop
Shutting down conductor-delayed_job: Using gem require instead of bundler
/usr/share/aeolus-conductor/config/../app/util/deployable_xml.rb:210: warning: already initialized constant DEPLOYABLE_VERSION
delayed_job: trying to stop process with pid 16154...
delayed_job: trying to stop process with pid 16149...
delayed_job: process with pid 16154 successfully stopped.
delayed_job: process with pid 16149 successfully stopped.
[  OK  ]
[root@vmware-esx-01-g1 ~]# aeolus-services restart

Stopping ntpd ...
 Success

Stopping imagefactory ...
 Success

Stopping conductor-dbomatic ...
 Success

Stopping conductor-delayed_job ...
/usr/share/aeolus-conductor/config/../app/util/deployable_xml.rb:210: warning: already initialized constant DEPLOYABLE_VERSION
 Success

Stopping aeolus-conductor ...
 Success

Stopping libvirtd ...
 Success

Stopping deltacloud-core ...
 Success

Stopping httpd ...
 Success

Stopping postgresql ...
 Success

Stopping iwhd ...
 Success

Stopping mongod ...
 Success

Starting mongod ...
 Success

Starting iwhd ...
 Success

Starting postgresql ...
 Success

Starting httpd ...
 Success

Starting deltacloud-core ...
 Success

Starting libvirtd ...
 Success

Starting aeolus-conductor ...
 Success

Starting conductor-delayed_job ...
/usr/share/aeolus-conductor/config/../app/util/deployable_xml.rb:210: warning: already initialized constant DEPLOYABLE_VERSION
 Success

Starting conductor-dbomatic ...
 Success

Starting imagefactory ...
 Success

Starting ntpd ...
 Success

Checking status of mongod ...
 Success
[root@vmware-esx-01-g1 ~]# service conductor-delayed_job status
delayed_job.0 (pid  20202) is running...
delayed_job.1 (pid  20204) is running...
Comment 7 errata-xmlrpc 2012-12-04 10:07:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html

Note You need to log in before you can comment on or make changes to this bug.